View Issue Details

IDProjectCategoryView StatusLast Update
0003589Slicer4Core: GUIpublic2014-04-02 05:49
ReporterinortonAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionnot fixable 
Product Version 
Target VersionFixed in VersionSlicer 4.4.0 
Summary0003589: qMRMLNodeCheckableBox::setUserCheckable has no effect
Description

At least from Python, calling qMRMLNodeCheckableBox::setUserCheckable(node, False) does not disable/hide checkbox for the given node.

eg:

onTargetSelected(self,node):
self.regTargetSelector.setUserCheckable(node,False)

does not do anything in regTargetSelector.
(called back by currentNodeChanged(vtkMRMLNode*) from a qMRMLNodeComboBox)

TagsNo tags attached.

Activities

finetjul

finetjul

2014-02-14 10:27

administrator   ~0010594

This is because the property UserCheckable is not used to control whether there is a checkbox or not. It only controls whether the user can check and uncheck or can it be done only programatically.

Use setCheckState instead.

inorton

inorton

2014-02-14 10:30

developer   ~0010595

"It only controls whether the user can check and uncheck or can it be done only programatically."

That would be fine, but it doesn't seem to work the way that this implies. The checkbox is still operative. or does this only effect checkedNodes() result? I want to disable or remove a node from the list.

finetjul

finetjul

2014-02-14 11:12

administrator   ~0010596

If you disable the UserCheckable property and it is still user (un)checkable, then it is a bug.
If you want to uncheck a checkbox, you need to set its CheckState property.

pieper

pieper

2014-04-02 05:49

administrator   ~0011515

Should we close this?

Issue History

Date Modified Username Field Change
2014-02-13 08:52 inorton New Issue
2014-02-14 10:27 finetjul Note Added: 0010594
2014-02-14 10:27 finetjul Status new => closed
2014-02-14 10:27 finetjul Resolution open => not fixable
2014-02-14 10:27 finetjul Fixed in Version => Slicer 4.3.2
2014-02-14 10:27 finetjul Status closed => assigned
2014-02-14 10:27 finetjul Assigned To => finetjul
2014-02-14 10:27 finetjul Status assigned => closed
2014-02-14 10:30 inorton Note Added: 0010595
2014-02-14 11:12 finetjul Note Added: 0010596
2014-02-14 11:13 finetjul Status closed => assigned
2014-02-14 11:13 finetjul Assigned To finetjul =>
2014-03-06 06:54 jcfr Status assigned => feedback
2014-03-06 10:17 nicole Fixed in Version Slicer 4.3.2 => Slicer 4.4.0
2014-04-02 05:49 pieper Note Added: 0011515